Belgravia Hartford Capital Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/belgravia-hartford-capital-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/belgravia-hartford-capital-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1751414400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.businesswire.com/news/home/20250702741860/en/Belgravia-Hartford-Increases-Bitcoin-BTC-Treasury-Holdings-with-USD-%241-Million-Strategic-Purchase",
    "holding_balance": 15.75,
    "holding_net_change": 9.35,
    "transaction_value_usd": 1000000.0,
    "average_entry_value_usd": 106951.87,
    "transaction_value_calculated": false
  },
  {
    "date": 1753315200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/btcNLNico/status/1948360432139264277?t=-75z2eRcVb7t6MSppqNRKw&s=19",
    "holding_balance": 40.75,
    "holding_net_change": 25.0,
    "transaction_value_usd": 2961850.0,
    "average_entry_value_usd": 118474.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1754006400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/btcNLNico/status/1951251851120120122?t=V2gIhA_ga3mcROGq-Z6URA&s=19",
    "holding_balance": 83.13,
    "holding_net_change": 42.38,
    "transaction_value_usd": 4993762.0,
    "average_entry_value_usd": 117832.99,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/belgravia-hartford-capital-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    83.13
  ],
  [
    1779062400000,
    83.13
  ],
  [
    1779148800000,
    83.13
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/belgravia-hartford-capital-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    6436744.2618
  ],
  [
    1779062400000,
    6396377.1651
  ],
  [
    1779148800000,
    6381059.6313
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/belgravia-hartford-capital-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.03,
    "date": "2026-05-14",
    "high": 0.03,
    "open": 0.03,
    "close": 0.03,
    "volume": 23000
  },
  {
    "low": 0.03,
    "date": "2026-05-15",
    "high": 0.03,
    "open": 0.03,
    "close": 0.03,
    "volume": 0
  },
  {
    "low": 0.03,
    "date": "2026-05-19",
    "high": 0.03,
    "open": 0.03,
    "close": 0.03,
    "volume": 34500
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/belgravia-hartford-capital-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 9.159,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/belgravia-hartford-capital-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -14.29,
  "six_month_return": -25.0,
  "three_month_return": 0.0
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/belgravia-hartford-capital-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 154.4,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}